Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## modelling
Class NewAgent

    java.lang.Object
      sema.Element
          sema.Agent
              modelling.NewAgent

All Implemented Interfaces:
  java.lang.Comparable

public class NewAgent
extends Agent

Structure dépouillée d'un fichier .java pour implémenter un nouveau type d'agent. Pour etre utilisable, le fichier doit être compilé, puis placé dans un répertoire accessible à Java (typiquement java/lib). On peut préciser en option les capacités de l'individu, par l'intermédiaire d'interfaces. Pour préciser qu'un individu est communiquant et peut voir, on écrira: `implements Communicating, Vision`.

Nested Class Summary
`protected class` | `NewAgent.NewAction` Nouvelles actions, généralement définies en protected

Nested classes inherited from class sema.Agent
`Agent.Action`

Nested classes inherited from class sema.Element
`Element.ElementEvent`

Field Summary

Fields inherited from class sema.Element
`id, world`

Constructor Summary
`NewAgent(World world)` Le constructeur de l'agent prend nécessairement le monde d'acceuil en argument.

Method Summary
`boolean` | `acceptAction(Agent.Action action)` Mettre à jour l'heuristique de décision.

Methods inherited from class sema.Agent
`getDelay, registerAction, setDelay, unregisterAction`

Methods inherited from class sema.Element
`canTake, compareTo, death, draw, getArea, getDrawingPriority, getHeight, getIcon, getImage, getKind, getName, getProperties, highlight, highlight, isMarked, kill, setDrawingPriority, setHeight, setKind, setMarked, setProperties, toString, union`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NewAgent

    public NewAgent(World world)

  Le constructeur de l'agent prend nécessairement le monde d'acceuil en argument. Ce monde est casté en sema.World par le lecteur de fichiers SIM. Pour inclure cet élément dans une simulation, il faut l'ajouter dans la section "ELEMENTS:" d'un fichier SIM, ou dans l'interface par "Add Element", avec la ligne suivante: `NewAgent(YourType1 yourArg1Value, .., YourTypeN yourArgNValue)`.

Method Detail

### acceptAction

    public boolean acceptAction(Agent.Action action)

  Mettre à jour l'heuristique de décision.

  Overrides:
    `acceptAction` in class `Agent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD